> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/automation/runbooks/runbook-references/org/devices.md).

# Devices

On this overview page you can find all Organization Runbooks in the Devices subcategory.

## Runbooks

* [Add Autopilot Device](/automation/runbooks/runbook-references/org/devices/add-autopilot-device.md)
* [Add Device Via Corporate Identifier](/automation/runbooks/runbook-references/org/devices/add-device-via-corporate-identifier.md)
* [Auto Approve Driver Updates (Scheduled)](/automation/runbooks/runbook-references/org/devices/auto-approve-driver-updates_scheduled.md)
* [Cleanup Autopilot Devices (Scheduled)](/automation/runbooks/runbook-references/org/devices/cleanup-autopilot-devices_scheduled.md)
* [Create Endpoint Analytics Baseline](/automation/runbooks/runbook-references/org/devices/create-endpoint-analytics-baseline.md)
* [Dedup Device Names (Scheduled)](/automation/runbooks/runbook-references/org/devices/dedup-device-names_scheduled.md)
* [Delete Stale Devices (Scheduled)](/automation/runbooks/runbook-references/org/devices/delete-stale-devices_scheduled.md)
* [Get Bitlocker Recovery Key](/automation/runbooks/runbook-references/org/devices/get-bitlocker-recovery-key.md)
* [List Mobile Devices](/automation/runbooks/runbook-references/org/devices/list-mobile-devices.md)
* [Notify Users About Low Diskspace (Scheduled)](/automation/runbooks/runbook-references/org/devices/notify-users-about-low-diskspace_scheduled.md)
* [Notify Users About Stale Devices (Scheduled)](/automation/runbooks/runbook-references/org/devices/notify-users-about-stale-devices_scheduled.md)
* [Outphase Devices](/automation/runbooks/runbook-references/org/devices/outphase-devices.md)
* [Rename Devices By Group Tag (Scheduled)](/automation/runbooks/runbook-references/org/devices/rename-devices-by-group-tag_scheduled.md)
* [Report Devices Low Diskspace (Scheduled)](/automation/runbooks/runbook-references/org/devices/report-devices-low-diskspace_scheduled.md)
* [Report Devices Without Primary User (Scheduled)](/automation/runbooks/runbook-references/org/devices/report-devices-without-primary-user_scheduled.md)
* [Report Primary User Mismatch (Scheduled)](/automation/runbooks/runbook-references/org/devices/report-primary-user-mismatch_scheduled.md)
* [Report Realmjoin Agent Contact (Scheduled)](/automation/runbooks/runbook-references/org/devices/report-realmjoin-agent-contact_scheduled.md)
* [Report Stale Devices (Scheduled)](/automation/runbooks/runbook-references/org/devices/report-stale-devices_scheduled.md)
* [Report Users With More Than 5-Devices (Scheduled)](/automation/runbooks/runbook-references/org/devices/report-users-with-more-than-5-devices_scheduled.md)
* [Report Windows Devices Without Autopilot (Scheduled)](/automation/runbooks/runbook-references/org/devices/report-windows-devices-without-autopilot_scheduled.md)
* [Sync Device Serialnumbers To Entraid (Scheduled)](/automation/runbooks/runbook-references/org/devices/sync-device-serialnumbers-to-entraid_scheduled.md)

[Back to Runbook Reference overview](/automation/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmjoin.com/automation/runbooks/runbook-references/org/devices.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
